com.ihr.xbrl.mapper.filters

## Class XBRLCTimeFilter.XBRLCDurationLongestFilter

- java.lang.Object
- - com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.DurationFilter
  - - com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.XBRLCDurationLongestFilter

- All Implemented Interfaces:
    XBRLFacetFilter
  Enclosing class:
    XBRLCTimeFilter

      public static class XBRLCTimeFilter.XBRLCDurationLongestFilter
      extends XBRLCTimeFilter.DurationFilter

  The Class XBRLCDurationLongestFilter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLCTimeFilter.XBRLCDurationLongestFilter(XBRLCTimeFilter parent)` Instantiates a new XBRLC duration longest filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `createFilterNode()` Returns a node representing the serialization of this filter so it can be created later from the node.
    `javax.xml.datatype.Duration` | `getDuration(XBRLFilterContext context)` Gets the duration.
    `java.lang.String` | `getId()` Gets the id.
    `boolean` | `matches(XBRLFact fact, XBRLFilterContext context)` Return a boolean value indicating if the fact passes the filter.
    `boolean` | `matches(XBRLPeriod factPeriod, XBRLFilterContext context)` Matches.
    `void` | `setId(java.lang.String id)` Sets the id.

    - ### Methods inherited from class com.ihr.xbrl.mapper.filters.XBRLCTimeFilter.DurationFilter

      `setParent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLCTimeFilter.XBRLCDurationLongestFilter

          public XBRLCTimeFilter.XBRLCDurationLongestFilter(XBRLCTimeFilter parent)

      Instantiates a new XBRLC duration longest filter.
      Parameters:
        `parent` - the parent

  - ### Method Detail

    - #### matches

          public boolean matches(XBRLFact fact,
                        XBRLFilterContext context)

      Description copied from interface: `XBRLFacetFilter`
      Return a boolean value indicating if the fact passes the filter. true - match false - no match
      Parameters:
        `fact` - XBRLFact to test
        `context` - the context
      Returns:
        boolean

    - #### createFilterNode

          public org.jdom.Element createFilterNode()
                                            throws LoaderException

      Description copied from interface: `XBRLFacetFilter`
      Returns a node representing the serialization of this filter so it can be created later from the node.
      Returns:
        org.jdom.Element
      Throws:
        `LoaderException` - the loader exception

    - #### getDuration

          public javax.xml.datatype.Duration getDuration(XBRLFilterContext context)

      Description copied from class: `XBRLCTimeFilter.DurationFilter`
      Gets the duration.
      Specified by:
        `getDuration` in class `XBRLCTimeFilter.DurationFilter`
      Parameters:
        `context` - the context
      Returns:
        the duration

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `XBRLFacetFilter`
      Gets the id.
      Returns:
        the id

    - #### matches

          public boolean matches(XBRLPeriod factPeriod,
                        XBRLFilterContext context)

      Description copied from class: `XBRLCTimeFilter.DurationFilter`
      Matches.
      Specified by:
        `matches` in class `XBRLCTimeFilter.DurationFilter`
      Parameters:
        `factPeriod` - the p
        `context` - the context
      Returns:
        true, if successful

    - #### setId

          public void setId(java.lang.String id)

      Description copied from interface: `XBRLFacetFilter`
      Sets the id.
      Parameters:
        `id` - the new id